Pickup Service (operations)
Endpoints to create, update, and read pickup services.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves all matching pickupServices respecting the filter criteria.
number of entities to show
25Example: 25all entities after given Id
6db6a29b-143d-4ffd-ab8b-45cd299cdb00Whether this pickupService is active
Filter by facility reference. Matches pickupServices whose context contains a FACILITY entry with this value.
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fSuccessfully retrieved the pickupServices.
PickupServices
Total number of found entities for this query
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/pickupservices?size=25 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"pickupServices": [
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"descriptionLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"context": [
{
"type": "FACILITY_GROUP",
"values": [
"text"
]
}
],
"created": "2026-01-01T00:00:00.000Z",
"description": "text",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"name": "text",
"type": "ID_CHECK",
"version": 1
}
],
"total": 42
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Creates a new pickupService.
PickupServiceForCreation
Whether this pickupService is active
Type of this pickupService
Successfully created the pickupService.
PickupService
Whether this pickupService is active
Creation date of this pickupService
Description of this pickupService
Unique identifier of this pickupService
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fLast modification date of this pickupService
Name of this pickupService
Type of this pickupService
Version number of this pickupService
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/pickupservices HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 248
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"descriptionLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"context": [
{
"type": "FACILITY_GROUP",
"values": [
"text"
]
}
],
"type": "ID_CHECK"
}{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"descriptionLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"context": [
{
"type": "FACILITY_GROUP",
"values": [
"text"
]
}
],
"created": "2026-01-01T00:00:00.000Z",
"description": "text",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"name": "text",
"type": "ID_CHECK",
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Retrieves a single pickupService using its unique identifier.
Successfully retrieved the pickupService.
PickupService
Whether this pickupService is active
Creation date of this pickupService
Description of this pickupService
Unique identifier of this pickupService
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fLast modification date of this pickupService
Name of this pickupService
Type of this pickupService
Version number of this pickupService
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/pickupservices/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"descriptionLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"context": [
{
"type": "FACILITY_GROUP",
"values": [
"text"
]
}
],
"created": "2026-01-01T00:00:00.000Z",
"description": "text",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"name": "text",
"type": "ID_CHECK",
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Updates a single pickupService using its unique identifier.
PickupServiceForUpdate
Whether this pickupService is active
Type of this pickupService
Version number of this pickupService
1Successfully updated the pickupService.
PickupService
Whether this pickupService is active
Creation date of this pickupService
Description of this pickupService
Unique identifier of this pickupService
0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2fLast modification date of this pickupService
Name of this pickupService
Type of this pickupService
Version number of this pickupService
1Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
PATCH /api/pickupservices/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 260
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"descriptionLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"context": [
{
"type": "FACILITY_GROUP",
"values": [
"text"
]
}
],
"type": "ID_CHECK",
"version": 1
}{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"descriptionLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"active": true,
"context": [
{
"type": "FACILITY_GROUP",
"values": [
"text"
]
}
],
"created": "2026-01-01T00:00:00.000Z",
"description": "text",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"name": "text",
"type": "ID_CHECK",
"version": 1
}Last updated
Was this helpful?

